#ifndef __IMFHeader_h__
#define __IMFHeader_h__

#include "ZString.h"
#include <sstream>

namespace coreutils {

   class IMFHeader : public ZString {

    public:
      IMFHeader(ZString &in);
      IMFHeader(ZString key, ZString value);

      ZString getKey();
      ZString getValue();

      void output(std::stringstream &out);

    private:
      ZString key;
      ZString value;

   };

}

#endif
